[PATCH v2] tests: Properly pass the num of channels to start.sh

Ilan Peer ilan.peer
Sun Aug 9 06:00:41 PDT 2015


The number of channels was not properly passed from the
run-all.sh script to the start.sh script. Fix it.

Signed-off-by: Ilan Peer <ilan.peer at intel.com>
---
 tests/hwsim/run-all.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/hwsim/run-all.sh b/tests/hwsim/run-all.sh
index 9bdb7b1..5cf56a9 100755
--- a/tests/hwsim/run-all.sh
+++ b/tests/hwsim/run-all.sh
@@ -108,7 +108,7 @@ if [ ! -z "$BUILD" ]; then
     fi
 fi
 
-if ! ./start.sh $VALGRIND $TRACE $NUM_CH; then
+if ! ./start.sh $VALGRIND $TRACE channels=$NUM_CH; then
 	if ! [ -z "$LOGBASEDIR" ] ; then
 		echo "Could not start test environment" > $LOGDIR/run
 	fi
-- 
1.9.1




More information about the Hostap mailing list